> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thedatacity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Register User

> Create new user without the need to be logged in.



## OpenAPI

````yaml https://instant-classification-api.thedatacity.com/api/v1/openapi.json post /api/v1/users/signup
openapi: 3.1.0
info:
  title: Instant Classification API
  version: 0.1.0
servers:
  - url: https://instant-classification-api.thedatacity.com
    description: Production
security: []
paths:
  /api/v1/users/signup:
    post:
      tags:
        - users
      summary: Register User
      description: Create new user without the need to be logged in.
      operationId: users-register_user
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserRegister'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserPublic'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    UserRegister:
      properties:
        email:
          type: string
          maxLength: 255
          format: email
          title: Email
        password:
          type: string
          maxLength: 128
          minLength: 8
          title: Password
        full_name:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Full Name
        accept_terms:
          type: boolean
          title: Accept Terms
          description: User accepted Terms & Conditions
          default: false
      type: object
      required:
        - email
        - password
      title: UserRegister
    UserPublic:
      properties:
        email:
          type: string
          maxLength: 255
          format: email
          title: Email
        is_active:
          type: boolean
          title: Is Active
          default: true
        is_superuser:
          type: boolean
          title: Is Superuser
          default: false
        is_paid:
          type: boolean
          title: Is Paid
          default: false
        full_name:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Full Name
        role:
          $ref: '#/components/schemas/UserRole'
          description: Role controls non-admin account policies
          default: standard
        id:
          type: string
          format: uuid
          title: Id
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
      type: object
      required:
        - email
        - id
      title: UserPublic
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    UserRole:
      type: string
      enum:
        - standard
        - sandbox
      title: UserRole
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````